Subject: Re: [BK PATCH] pcibios_* removals for 2.5.40
From: Greg KH <[email-masked]>
To: Linus Torvalds <[email-masked]>
Cc: [email-masked]

Hm, looks like Alan owes me a yummy pizza now...

It wasn't that hard to fix up the remaining drivers that used these
functions, here's some changesets that fix up all of the drivers except
two of them.

Please pull from:  http://linuxusb.bkbits.net/pci-2.5

Here's a summary of the status of these pcibios functions after applying
these changesets:

pcibios_present()
 - shows up in a grep in the following files:
   	drivers/char/ip2main.c
	drivers/net/wan/lmc/lmc_ver.h
	drivers/net/wan/sdladrv.c
	drivers/scsi/gdth.c
	drivers/scsi/megaraid.c
	drivers/scsi/qla1280.c
	drivers/scsi/sym53c8xx.c
	drivers/scsi/sym53c8xx_comm.h
	drivers/scsi/tmscsim.c
	include/linux/compatmac.h
   Every one of these instances are for backwards compatibility with
   older kernel versions and will not be used when building for 2.5

pcibios_find_class()
  - completely gone from the 2.5 tree.

pcibios_find_device()
  - the following drivers use it for when they are compiled for older
    kernels:
	drivers/scsi/sym53c8xx.c
	drivers/scsi/sym53c8xx_comm.h
	drivers/char/ip2main.c
	drivers/char/rio/rio_linux.c
	drivers/char/sx.c
	drivers/net/wan/sdladrv.c
	drivers/scsi/gdth.c
	drivers/scsi/megaraid.c
	drivers/scsi/tmscsim.c
   So these instances are safe.

 - I did not fix up the following two drivers:
 	drivers/char/rocket.c
		This driver does not build at all right now for 2.5 due
		to cli() and other assorted api changes over time in
		2.5.  Also, the PCI probe logic seems very fragile, and
		I do not want to disturb the current sequence without
		fully knowing what the correct board type and number
		sequence should be.
	drivers/isdn/eicon/lincfg.c
		Again the probe sequence seems touchy, and Kai (the ISDN
		maintainer) said he would fix it up properly once these
		patches were accepted.

So the only thing that is broken after these changesets are the rocket.c
driver, which was broken before these changesets :)

Please apply.

Sorry about the one misleading changeset comment, I couldn't figure out
how to go back and change it, and if you really object to it, I'll
rebuild the tree from scratch with it corrected.

thanks,

greg k-h

p.s. I'll send the changesets that I've added since the last set as patches in
response to this email to lkml for those who want to see them.

 drivers/char/rocket.c          |    2 -
 drivers/net/aironet4500_card.c |   43 +++++++++++------------------------------
 drivers/net/hp100.c            |    4 +--
 drivers/net/tulip/de4x5.c      |    4 +--
 drivers/net/wan/lmc/lmc_main.c |   18 +----------------
 drivers/pci/compat.c           |   42 ----------------------------------------
 drivers/pci/syscall.c          |    2 -
 drivers/sbus/sbus.c            |    2 -
 drivers/scsi/53c7,8xx.c        |   13 ++++--------
 drivers/scsi/inia100.c         |    2 -
 include/linux/pci.h            |   27 +++++++++----------------
 11 files changed, 37 insertions(+), 122 deletions(-)
-----

[email-masked], 2002-10-04 12:49:31-07:00, [email-masked]
  PCI: remove pcibios_find_device() from the 53c7,8xx.c SCSI driver

 drivers/scsi/53c7,8xx.c |   13 +++++--------
 1 files changed, 5 insertions(+), 8 deletions(-)
------

[email-masked], 2002-10-04 11:41:16-07:00, [email-masked]
  PCI: remove usages of pcibios_find_class()

 drivers/net/aironet4500_card.c |   43 +++++++++++------------------------------
 drivers/net/wan/lmc/lmc_main.c |   18 +----------------
 2 files changed, 14 insertions(+), 47 deletions(-)
------

[email-masked], 2002-10-04 10:28:07-07:00, [email-masked]
  PCI: fixed remaining usages of pcibios_present() that I missed previously.

 drivers/char/rocket.c  |    2 +-
 drivers/sbus/sbus.c    |    2 +-
 drivers/scsi/inia100.c |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)
------

[email-masked], 2002-10-03 14:06:24-07:00, [email-masked]
  PCI: removed pcibios_present()

 drivers/net/hp100.c       |    4 ++--
 drivers/net/tulip/de4x5.c |    4 ++--
 drivers/pci/compat.c      |    8 --------
 drivers/pci/syscall.c     |    2 +-
 include/linux/pci.h       |   21 ++++++++++-----------
 5 files changed, 15 insertions(+), 24 deletions(-)
------

[email-masked], 2002-10-03 13:45:53-07:00, [email-masked]
  PCI: remove pci_find_device()

 drivers/pci/compat.c |   17 -----------------
 include/linux/pci.h  |    3 ---
 2 files changed, 20 deletions(-)
------

[email-masked], 2002-10-03 13:36:51-07:00, [email-masked]
  PCI: remove pcibios_find_class()

 drivers/pci/compat.c |   17 -----------------
 include/linux/pci.h  |    3 ---
 2 files changed, 20 deletions(-)
------